Package twisted :: Package conch :: Package ssh :: Module service :: Class SSHService

[show private | hide private]
[frames | no frames]

## Class SSHService

Known Subclasses:
  `SSHConnection`, `SSHUserAuthClient`, `SSHUserAuthServer`

Method Summary
| ``packetReceived`(self, messageType, packet)` called when we receieve a packet on the transport
| ``serviceStarted`(self)` called when the service is active on the transport.
| ``serviceStopped`(self)` called when the service is stopped, either by the connection ending or by another service being started

Class Variable Summary
`None` | `name`
`dictionary` | `protocolMessages`
`None` | `transport`

Method Details

### packetReceived(self, messageType, packet)

called when we receieve a packet on the transport

### serviceStarted(self)

called when the service is active on the transport.

### serviceStopped(self)

called when the service is stopped, either by the connection ending or by another service being started

Class Variable Details

### name

  Type:
    `None`
  Value:

        None

### protocolMessages

  Type:
    `dictionary`
  Value:

        {}

### transport

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:17:48 2003 | http://epydoc.sf.net